import strawberry
from strawberry.schema.config import StrawberryConfig

from services.auth import LoginRequiredMiddleware
from resolvers.load import Query
from resolvers.seen import Mutation
from services.db import Base, engine

schema = strawberry.Schema(
    query=Query, mutation=Mutation, config=StrawberryConfig(auto_camel_case=False), extensions=[LoginRequiredMiddleware]
)


# Create the specified tables if they do not already exist
Base.metadata.create_all(bind=engine, checkfirst=True)
